package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCargodep;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * @Description:
 * @Author:zx
 * @CreateTime:2021/11/6 11:03
 * @Version:V1.0
 */
@Mapper
public interface RmsCargodepMapper extends IBaseMapper<RmsCargodep, BigDecimal> {
    //根据货权转移收货单位茶找是否存在于数据库中
    BigDecimal searchNumberForCagoName(Map<String,Object> map);

    //获取主键id
    @Select("select seq__WMSP_OUTBOUND_RESULT.nextval from dual")
    BigDecimal selectCargoId();

    List<Map<String, Object>> getCargoDepList(Map<String, Object> mapValue);

    //通过id获取数据
    List<Map<String, Object>> getCargoDepById(BigDecimal id);
}