package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmsshipContractPrice;
import com.steerinfo.framework.service.IBaseService;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmsshipContractPrice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-07-07 09:38
 * 类描述
 * 修订历史：
 * 日期：2022-07-07
 * 作者：generator
 * 参考：
 * 描述：BmsshipContractPrice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmsshipContractPriceService {
    //新增船运合同单价
    int insertBmsshipContractPrice(Map<String, Object> mapValue);

    //展示合同单价管理
    List<Map<String,Object>> bmsshipContractPriceList(Map<String,Object> map);

    //修改船运合同单价
    int updateBmsshipContractPrice(Map<String, Object> mapValue);

    //删除船运合同单价
    int deleteBmsshipContractPrice(Map<String, Object> mapValue);

    //渲染船运合同单价数据
    List<Map<String, Object>> selectBmsshipPriceList(BigDecimal id);
}